weixin_42116733
大清朝亡了
采纳率0%
2019-06-04 09:01 阅读 4.0k

新建一个springboot项目,但是pom文件报Unknown,强制更新了maven还是不行

今天新建了一个springboot项目实现发送邮件功能,但是pom文件一直报Unknown,强制更新了maven还是不行,试了网上的方法还是有问题,但是我的发邮件功能可以正常使用,作为一个强迫症,真的不能忍那个报错信息,请大佬帮忙解答一下。报错信息如图

项目使用的maven镜像是阿里的
maven的setting文件如图

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

2条回答 默认 最新

  • weixin_42116733 大清朝亡了 2019-06-04 09:22

    解决这个问题只需要,在pom.xml 文件中的 properties 加入maven jar 插件的版本号,如图所示

    <maven-jar-plugin.version>3.1.1</maven-jar-plugin.version>
    

    主要原因是2.1.5.RELEASE 升级到了。3.1.2 造成的问题,有些IDE插件不兼容的问题造成的。

    点赞 评论 复制链接分享
  • qq_38366063 你就像甜甜的益达 2019-06-04 11:34

    https://blog.csdn.net/qq_38366063/article/details/83475170 我也写了个发送邮件的,可以一起学习学习

    点赞 评论 复制链接分享

相关推荐